- Main Page
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_DIOP_Connector Class Reference

DIOP-specific Connector bridge for pluggable protocols. More...

`#include <DIOP_Connector.h>`

Inheritance diagram for TAO_DIOP_Connector:

[legend]
Collaboration diagram for TAO_DIOP_Connector:

[legend]
List of all members.

## Public Member Functions
| TAO_DIOP_Connector (CORBA::Boolean flag=0)
| Constructor.
| ~TAO_DIOP_Connector (void)
| Destructor.
The TAO_Connector Methods
Please check the documentation in Transport_Connector.h for details.
int | open (TAO_ORB_Core *orb_core)
int | close (void)
TAO_Profile * | create_profile (TAO_InputCDR &cdr)
virtual int | check_prefix (const char *endpoint)
virtual char | object_key_delimiter (void) const
## Protected Member Functions
int | cancel_svc_handler (TAO_Connection_Handler *svc_handler)
| Cancel the passed cvs handler from the connector.
More TAO_Connector Methods
Please check the documentation in Transport_Connector.h for details.
int | set_validate_endpoint (TAO_Endpoint *ep)
TAO_Transport * | make_connection (TAO::Profile_Transport_Resolver *r, TAO_Transport_Descriptor_Interface &desc, ACE_Time_Value *timeout=0)
virtual TAO_Profile * | make_profile ()
## Protected Attributes
CORBA::Boolean | lite_flag_
| Do we need to use a GIOP_Lite for sending messages?
## Private Types
typedef ACE_Hash_Map_Iterator_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash< ACE_INET_Addr >, ACE_Equal_To< ACE_INET_Addr >, ACE_Null_Mutex > | SvcHandlerIterator
## Private Member Functions
TAO_DIOP_Endpoint * | remote_endpoint (TAO_Endpoint *ep)
| Return the remote endpoint, a helper function.
## Private Attributes
ACE_Hash_Map_Manager_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash< ACE_INET_Addr >, ACE_Equal_To< ACE_INET_Addr >, ACE_Null_Mutex > | svc_handler_table_

## Detailed Description

DIOP-specific Connector bridge for pluggable protocols.

Concrete instance of the TAO_Connector class. Responsible for establishing a connection with a server and is called from the Connector_Registory.

## Member Typedef Documentation

typedef ACE_Hash_Map_Iterator_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > TAO_DIOP_Connector::SvcHandlerIterator`[private]`

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_DIOP_Connector::TAO_DIOP_Connector | ( | CORBA::Boolean | flag = `0` | ) |

Constructor.

TAO_DIOP_Connector::~TAO_DIOP_Connector | ( | void |  | ) |

Destructor.

## Member Function Documentation

int TAO_DIOP_Connector::cancel_svc_handler | ( | TAO_Connection_Handler * | svc_handler | ) | `[protected, virtual]`

Cancel the passed cvs handler from the connector.

Implements TAO_Connector.

int TAO_DIOP_Connector::check_prefix | ( | const char * | endpoint | ) | `[virtual]`

Implements TAO_Connector.

int TAO_DIOP_Connector::close | ( | void |  | ) | `[virtual]`

Implements TAO_Connector.

TAO_Profile * TAO_DIOP_Connector::create_profile | ( | TAO_InputCDR & | cdr | ) | `[virtual]`

Implements TAO_Connector.

TAO_Transport * TAO_DIOP_Connector::make_connection | ( | TAO::Profile_Transport_Resolver * | r,
|  | TAO_Transport_Descriptor_Interface & | desc,
|  | ACE_Time_Value * | timeout = `0` |
| ) |  |  | `[protected, virtual]`

Implements TAO_Connector.

TAO_Profile * TAO_DIOP_Connector::make_profile | ( |  | ) | `[protected, virtual]`

Implements TAO_Connector.

char TAO_DIOP_Connector::object_key_delimiter | ( | void |  | ) | const`[virtual]`

Implements TAO_Connector.

int TAO_DIOP_Connector::open | ( | TAO_ORB_Core * | orb_core | ) | `[virtual]`

Implements TAO_Connector.

TAO_DIOP_Endpoint * TAO_DIOP_Connector::remote_endpoint | ( | TAO_Endpoint * | ep | ) | `[private]`

Return the remote endpoint, a helper function.

int TAO_DIOP_Connector::set_validate_endpoint | ( | TAO_Endpoint * | ep | ) | `[protected, virtual]`

Implements TAO_Connector.

## Member Data Documentation

CORBA::Boolean TAO_DIOP_Connector::lite_flag_`[protected]`

Do we need to use a GIOP_Lite for sending messages?

ACE_Hash_Map_Manager_Ex< ACE_INET_Addr, TAO_DIOP_Connection_Handler *, ACE_Hash < ACE_INET_Addr >, ACE_Equal_To < ACE_INET_Addr >, ACE_Null_Mutex > TAO_DIOP_Connector::svc_handler_table_`[private]`

The documentation for this class was generated from the following files:

- DIOP_Connector.h
- DIOP_Connector.cpp